# Uses of Interface
org.eclipse.birt.chart.ui.swt.interfaces.ISelectDataComponent

## Uses of ISelectDataComponent in org.eclipse.birt.chart.ui.swt.interfaces

Methods in org.eclipse.birt.chart.ui.swt.interfaces that return ISelectDataComponent
Modifier and Type
Method
Description
`ISelectDataComponent`
ISelectDataCustomizeUI.`getAreaComponent(int areaType, org.eclipse.birt.chart.model.data.SeriesDefinition seriesdefinition, org.eclipse.birt.chart.ui.swt.wizard.ChartWizardContext context, String sTitle)`
`ISelectDataComponent`
IChartType.`getBaseUI(org.eclipse.birt.chart.model.Chart chart, ISelectDataCustomizeUI selectDataUI, org.eclipse.birt.chart.ui.swt.wizard.ChartWizardContext context, String sTitle)`
Returns base UI in data sheet
`ISelectDataComponent`
ISeriesUIProvider.`getSeriesDataComponent(int seriesType, org.eclipse.birt.chart.model.data.SeriesDefinition seriesDefn, org.eclipse.birt.chart.ui.swt.wizard.ChartWizardContext context, String sTitle)`